Name:          libwebp
Version:       0.5.1
Release:       2mamba
Summary:       A method of lossy compression that can be used on photographic images
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://code.google.com/speed/webp/
Source:        http://downloads.webmproject.org/releases/webp/libwebp-%{version}.tar.gz
#Source:        http://webp.googlecode.com/files/libwebp-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGL-devel
BuildRequires: libfreeglut-devel
BuildRequires: libjbig-devel
BuildRequires: libjpeg-devel
BuildRequires: liblzma-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
WebP is a method of lossy compression that can be used on photographic images.
The degree of compression is adjustable so a user can choose the trade-off between file size and image quality.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
WebP is a method of lossy compression that can be used on photographic images.
The degree of compression is adjustable so a user can choose the trade-off between file size and image quality.

This package contains static libraries and header files need for development.

%package tools
Group:         Applications/Graphics
Summary:       The WebP command line tools
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
WebP is a method of lossy compression that can be used on photographic images.
The degree of compression is adjustable so a user can choose the trade-off between file size and image quality.

This package contains utility applications for %{name}.

%prep
%setup -q

%build
./autogen.sh
%configure \
  --enable-libwebpdemux \
  --with-pnglibdir=%{_libdir} \
  --disable-static

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libwebp.so.*
%{_libdir}/libwebpdemux.so.*
%doc AUTHORS COPYING
#ChangeLog NEWS README

%files devel
%defattr(-,root,root)
%dir %{_includedir}/webp
%{_includedir}/webp/*.h
%{_libdir}/libwebp.la
%{_libdir}/libwebp.so
%{_libdir}/libwebpdemux.la
%{_libdir}/libwebpdemux.so
%{_libdir}/pkgconfig/libwebp.pc
%{_libdir}/pkgconfig/libwebpdemux.pc

%files tools
%defattr(-,root,root)
%{_bindir}/cwebp
%{_bindir}/dwebp
%{_bindir}/vwebp
%{_mandir}/man1/*

%changelog
* Tue Nov 01 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.1-2mamba
- rebuilt with --enable-libwebpdemux

* Sat Jul 23 2016 Automatic Build System <autodist@mambasoft.it> 0.5.1-1mamba
- automatic version update by autodist

* Tue Dec 29 2015 Automatic Build System <autodist@mambasoft.it> 0.5.0-1mamba
- automatic version update by autodist

* Tue Nov 03 2015 Automatic Build System <autodist@mambasoft.it> 0.4.4-1mamba
- automatic version update by autodist

* Tue Aug 18 2015 Automatic Build System <autodist@mambasoft.it> 0.4.3-1mamba
- automatic version update by autodist

* Sun Aug 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1-1mamba
- update to 0.4.1

* Mon Feb 03 2014 Automatic Build System <autodist@mambasoft.it> 0.4.0-1mamba
- automatic version update by autodist

* Fri Jun 28 2013 Automatic Build System <autodist@mambasoft.it> 0.3.1-1mamba
- automatic version update by autodist

* Tue Apr 02 2013 Automatic Build System <autodist@mambasoft.it> 0.3.0-1mamba
- automatic version update by autodist

* Mon Dec 10 2012 Automatic Build System <autodist@mambasoft.it> 0.2.1-1mamba
- automatic version update by autodist

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 0.2.0-1mamba
- automatic version update by autodist

* Sun Jan 22 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.3-1mamba
- update to 0.1.3

* Sat May 28 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.1.2-1mamba
- update to 0.1.2

* Mon Nov 29 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.0.4-1mamba
- update to 0.0.4

* Fri Oct 01 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.0.1-1mamba
- package created by autospec
